Bug 88986 - EDITING: Insert Frame dialog shows empty lists for area fill types
Summary: EDITING: Insert Frame dialog shows empty lists for area fill types
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: Other All
: medium major
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.1.0 target:5.0.2 target:4.4.6
Keywords: bibisected, bisected, needUITest, regression
Depends on:
Blocks:
 
Reported: 2015-01-31 18:37 UTC by tmacalp
Modified: 2018-02-01 17:55 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tmacalp 2015-01-31 18:37:54 UTC
In LibreOffice 4.4.x, when you insert a frame and attempt to set a background area color, each category (color, gradient, etc..) shows an empty list.  Once the frame is actually inserted, it is then possible to modify the frame properties to select a color as you would expect.

Note that this seems to be the exact same problem as described in bug 80952.  The insert frame dialog's area tab appears to have been completely overhauled for the release of 4.3.  That's when this bug showed up.  Then, at some point (4.3.2), the interface reverted back to the old style.  So the bug was marked resolved because of the revert in 4.3, but master still has the new interface and still suffers the bug.

Steps to reproduce:
1. New document
2. Insert->Frame
3. Area tab
4. Change Fill Type to Color

Expected:
You should see a list of colors to select

Actual:
No colors are presented

This was tested on LO 4.4.0.3 using 64bit Arch Linux.  I also attempted to bibisect, but there were quite a few versions I had to skip.  LO would either give me a "ERROR 4 forking process" on launch, show an empty insert frame dialog, or crash when I attempted to select a fill type. 

Bibisect results:
There are only 'skip'ped commits left to test.
The first bad commit could be any of:
b8faa3ecebb63b814ada4be4917f2ea81f97907d
66944a864096d075d16fadf478779487381f92c8
9d57c189d74551d2b3770cc81139ea10a62e672f
c4e590b6482131576747491ef9e0a2f9be6071aa
We cannot bisect more!

$ git bisect log
# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [752769ad0d2179e17ea0a08cc9004df7b890305b] source-hash-60c64b437c6678dd1d3fa3a6fc2b7da0480890d4
git bisect start 'latest' 'last42onmaster'
# good: [4fcd68ce4979f85fda4568f4b419a4b41d07345f] source-hash-2c4621c87ed3a7b19de195c21494c9a381e72b2e
git bisect good 4fcd68ce4979f85fda4568f4b419a4b41d07345f
# skip: [422186458e0b4db00c7e26b54d5b631f83bcad2a] source-hash-6948bf58ce181b17f60ef81f10205ef4dac50cc6
git bisect skip 422186458e0b4db00c7e26b54d5b631f83bcad2a
# bad: [a0b33bffff9c787dce71a13b344f06ae1453026b] source-hash-02e0be069e57e724c51f23e2e31b77657a6a1d3d
git bisect bad a0b33bffff9c787dce71a13b344f06ae1453026b
# good: [db29eee512d03b1dc0139b3752bbe7931b165377] source-hash-77b6c1602aaa0bd059077765e7fabb53d9e6ddeb
git bisect good db29eee512d03b1dc0139b3752bbe7931b165377
# skip: [9d57c189d74551d2b3770cc81139ea10a62e672f] source-hash-5b5e62650354788e50b44f32c22b687b2018aba9
git bisect skip 9d57c189d74551d2b3770cc81139ea10a62e672f
# bad: [c4b8375c4f4cd507d1bb4913f46789cf354e78a5] source-hash-9359f4747181ae93f777f224a9f64a832d5b806c
git bisect bad c4b8375c4f4cd507d1bb4913f46789cf354e78a5
# good: [a6c3773eefb6c6ea2e1a8ad980c258c07a1a8e65] source-hash-4f48dc2f978d36ef9ba08bf828894fa578430fc7
git bisect good a6c3773eefb6c6ea2e1a8ad980c258c07a1a8e65
# bad: [5f470f9cc992302f16a0ad8b2680725ad5beec08] source-hash-7c4783f6a2cb7598ecc48f20379dad9784541d5b
git bisect bad 5f470f9cc992302f16a0ad8b2680725ad5beec08
# skip: [66944a864096d075d16fadf478779487381f92c8] source-hash-e9509e54b45fc429a93975917dca2ec343e5f48d
git bisect skip 66944a864096d075d16fadf478779487381f92c8
# bad: [c4e590b6482131576747491ef9e0a2f9be6071aa] source-hash-1ad901464afa29c96682bde59a12f864fccd525a
git bisect bad c4e590b6482131576747491ef9e0a2f9be6071aa
# skip: [b8faa3ecebb63b814ada4be4917f2ea81f97907d] source-hash-7a120ad4ac99ac70c35132d12d11d630b92bd846
git bisect skip b8faa3ecebb63b814ada4be4917f2ea81f97907d
# good: [d888081586d217a52fd06ce89f146aa4080b4ca9] source-hash-722c82b018327c1f9578ddc533ebbb06080848eb
git bisect good d888081586d217a52fd06ce89f146aa4080b4ca9
# only skipped commits left to test
# possible first bad commit: [c4e590b6482131576747491ef9e0a2f9be6071aa] source-hash-1ad901464afa29c96682bde59a12f864fccd525a
# possible first bad commit: [66944a864096d075d16fadf478779487381f92c8] source-hash-e9509e54b45fc429a93975917dca2ec343e5f48d
# possible first bad commit: [b8faa3ecebb63b814ada4be4917f2ea81f97907d] source-hash-7a120ad4ac99ac70c35132d12d11d630b92bd846
# possible first bad commit: [9d57c189d74551d2b3770cc81139ea10a62e672f] source-hash-5b5e62650354788e50b44f32c22b687b2018aba9
Comment 1 A (Andy) 2015-01-31 22:39:02 UTC
Reproducible with LO 4.4.0.3, Win 8.1.

Not only Colour, but also Gradient, Hatching and Bitmap are empty.
Comment 2 Matthew Francis 2015-02-01 10:21:46 UTC
This appears to have been introduced with the below commit.
(bisecting is complicated by related crashes and other regressions which have already been fixed, but this appears to be the source)

Adding Cc: to vmiklos@collabora.co.uk; Could you possibly take a look at this? Thanks


commit 6e61ecd09679a66060f932835622821d39e92f01
Author:     Armin Le Grand <alg@apache.org>
AuthorDate: Wed Mar 19 16:17:02 2014 +0000
Commit:     Miklos Vajna <vmiklos@collabora.co.uk>
CommitDate: Fri Mar 28 14:31:08 2014 +0100

    Merge back branch alg_writerframes to trunk
    
    (cherry picked from commit b635b4fa4e42053d30ab639643d2236a20243f62)
Comment 3 V Stuart Foote 2015-03-16 14:00:59 UTC
remains valid issue with current builds of master

Version: 4.5.0.0.alpha0+
Build ID: 460b17d2712a80331a83329d2951f3e0303835cd
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-03-14_23:10:42
Locale: en_US
Comment 4 tmacalp 2015-04-15 19:53:40 UTC
I believe this also affects attempting to apply an image background to the frame upon creation.  The dialog will show the image as a preview, but the newly created frame will have no background.

1. New document
2. Insert->Frame
3. Area tab
4. Fill Type -> Bitmap
5. Click "Import Graphic..."
6. Select an image and click OK
7. OK to create frame

Expected:
Frame should have a background image as its area.

Actual:
Frame has area set to "none."

I performed this test in LO 4.4.2.2, but this bug also affects the master nightly as of 2015-03-31.
Comment 5 Miklos Vajna 2015-07-30 21:10:37 UTC
Yes, the problem from command 0 is that the item set that would contain the color / gradient / etc types is filled when the dialog is created by the frame shell (used for existing frames), but not when created by the text shell (used for new frames). I'll take care of that.
Comment 6 Commit Notification 2015-07-31 07:20:14 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6c3ca675509101732d3d878d6ceb6226026cd9ac

tdf#88986 sw: add missing XPropertyList pool items on TextFrame insertion

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-07-31 07:20:19 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2c4e0aaa8d54877c55d3c4e397a7b869d8ff57cc

tdf#88986 testcase

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Cor Nouws 2015-08-10 15:33:32 UTC
(In reply to Commit Notification from comment #6)
> Miklos Vajna committed a patch related to this issue.
> It has been pushed to "master":

> It will be available in 5.1.0.

Thanks!
Comment 9 Commit Notification 2015-08-17 12:25:40 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9a9218a741260d452106de1a4d5786c87499776d&h=libreoffice-5-0

tdf#88986 sw: add missing XPropertyList pool items on TextFrame insertion

It will be available in 5.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2015-09-02 11:19:34 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=55f0c2f416db716f0cccf1bb05625c264a78d9df&h=libreoffice-4-4

tdf#88986 sw: add missing XPropertyList pool items on TextFrame insertion

It will be available in 4.4.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Robinson Tryon (qubit) 2015-12-17 08:45:50 UTC Comment hidden (obsolete)